#include "testlib.h"
 
int MAX_y[] = {2e9, 2e9, 2e9, 1e5, 2e9};
int MAX_b[] = {2e9, 0, 0, 1e5, 2e9};
int MAX_r[] = {2e9, 0, 2e9, 1e5, 2e9};
using namespace std;

void solve_with_check(long long y, long long r, long long b)
{
    r += b / 10;
    ensure(r <= numeric_limits<int>::max());
    y += r / 10;
    ensure(y <= numeric_limits<int>::max());
}

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int group = atoi(validator.group().data());
    ensuref(0 <= group && group <= 4, "Incorrect test group");
    int y = inf.readInt(0, MAX_y[group], "y");
    inf.readEoln();
	int r = inf.readInt(0, MAX_r[group], "r");
    inf.readEoln();
	int b = inf.readInt(0, MAX_b[group], "b");
    inf.readEoln();
    inf.readEof();
    solve_with_check(y, r, b);
}
